### Method

# Tsparql SparqlCursor next_finish

#### Declaration [src]

    gboolean
    tracker_sparql_cursor_next_finish (
      TrackerSparqlCursor* cursor,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes the asynchronous iteration to the next result started with `tracker_sparql_cursor_next_async()`.

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult` with the result of the operation.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if there are no more results or if an error is found, otherwise `TRUE`.